package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.album.entity.dao.AlbumApprovalNode;
import com.redxun.knowledge.album.service.AlbumApprovalNodeServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/album/albumApprovalNode")
@Api(tags = "业务--专辑审核流程节点表")
@ClassDefine(title = "业务--专辑审核流程节点表", alias = "AlbumApprovalNodeController", path = "/album/album/albumApprovalNode", packages = "album", packageName = "子系统名称")
public class AlbumApprovalNodeController extends BaseController<AlbumApprovalNode> {

    @Autowired
    AlbumApprovalNodeServiceImpl albumApprovalNodeService;


    @Override
    public BaseService getBaseService() {
        return albumApprovalNodeService;
    }

    @Override
    public String getComment() {
        return "业务--专辑审核流程节点表";
    }

}

