package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.album.entity.dao.AlbumVersion;
import com.redxun.knowledge.album.service.AlbumVersionServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/album/album/albumVersion")
@Api(tags = "业务--专辑版本表")
@ClassDefine(title = "业务--专辑版本表", alias = "AlbumVersionController", path = "/album/album/albumVersion", packages = "album", packageName = "子系统名称")
public class AlbumVersionController extends BaseController<AlbumVersion> {

    @Autowired
    AlbumVersionServiceImpl albumVersionService;


    @Override
    public BaseService getBaseService() {
        return albumVersionService;
    }

    @Override
    public String getComment() {
        return "业务--专辑版本表";
    }

}

