package com.redxun.knowledge.album.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumInfoEditDto
 * 作者: Zizg
 * 时间: 2023/2/8
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("专辑编辑")
@Data
public class AlbumInfoEditDto implements Serializable {

    @NotBlank(message = "专辑Id不能为空")
    @ApiModelProperty("专辑Id")
    private String pkId;

    @ApiModelProperty("版本Id 传值 修改当前版本 不传值 新增版本")
    private String versionId;

    @ApiModelProperty("专辑名称")
    private String name;

    @ApiModelProperty("专辑封面")
    private String cover;

    @ApiModelProperty("专辑分类Id")
    private String categoryId;

    @ApiModelProperty("专辑简介")
    private String summary;

    @ApiModelProperty("专辑目录")
    private List<AlbumCatalogueDto> catalogues;
}
