package com.redxun.knowledge.analysis.mapper;

import com.redxun.knowledge.analysis.entity.dto.PersonVisitDto;
import com.redxun.knowledge.analysis.entity.vo.AlbumDetailVisitsVo;
import com.redxun.knowledge.analysis.entity.vo.CreateUserViewLabel;
import com.redxun.knowledge.analysis.entity.vo.MapCompanyVo;
import com.redxun.knowledge.analysis.entity.vo.SynthesizeCompanyVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文件名: AnalysisSynthesizeMapper
 * 作者: zizg
 * 时间: 2023/3/27
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface AnalysisSynthesizeMapper {

    /**
     * 各板块访问量分布
     *
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<AlbumDetailVisitsVo> moduleUserVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 组织访问量
     *
     * @param firstDay
     * @param lastDay
     * @param sort
     * @return
     */
    List<SynthesizeCompanyVo> organizationVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("sort") String sort);

    /**
     * 各板块访问量分布(UV)
     *
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<AlbumDetailVisitsVo> moduleUserUniqueVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 用户访问总量
     *
     * @param firstDay
     * @param lastDay
     * @param module
     * @return
     */
    List<CreateUserViewLabel> totalUserVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("module") String module, @Param("type") String type);

    /**
     * 组织访问量
     *
     * @param firstDay
     * @param lastDay
     * @param organizationId
     * @return
     */
    SynthesizeCompanyVo organizationVisit(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("organizationId") String organizationId);

    /**
     * 用户访问总量(按月查询)
     *
     * @param firstDay
     * @param lastDay
     * @param module
     * @param type
     * @return
     */
    List<CreateUserViewLabel> totalUserByMonthVisits(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay, @Param("module") String module, @Param("type") String type);

    /**
     * 人员创建地图赋值
     * @param id
     * @param createTime
     * @param endTime
     * @param round
     * @return
     */
    SynthesizeCompanyVo personSynthesizeValue(@Param("id") String id, @Param("firstDay")String createTime, @Param("lastDay")String endTime, @Param("round") Integer round);
}
