package com.redxun.knowledge.map.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.redxun.common.base.entity.BaseExtEntity;
import com.redxun.knowledge.map.entity.dao.MapRoute;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.checkerframework.checker.units.qual.A;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: MapDto
 * 作者: Zizg
 * 时间: 2023/1/13
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
@ApiModel("知识地图")
public class MapDto implements Serializable {

    //地图主键Id(编辑时候传入)
    @ApiModelProperty("地图主键Id(编辑时候传入)")
    private String pkId;

    //地图类型;对应知识地图类型字典（KNOWLEDGE_MAP）
    @ApiModelProperty("地图类型;对应知识地图类型字典")
    private Integer type;

    //地图名称
    @ApiModelProperty("地图名称")
    private String name;

    //组织ID
    @ApiModelProperty("组织Id(多个组织Id逗号分隔(1,2...))")
    private String groupId;

    //组织概要（-分隔的各级组织名称）
    @ApiModelProperty("组织概要(-分隔的各级组织名称,多个用/分隔)")
    private String groupSummary;

    //隶属于组织人员阅读权限;可选项：1-全部员工可见  2-部分员工可见
    @ApiModelProperty("隶属于组织人员阅读权限;可选项：1-全部员工可见  2-部分员工可见")
    private Integer groupPurview;

    @ApiModelProperty("可阅读者userId数组")
    private List<String> purviewUsers;

    @ApiModelProperty("学习路径")
    private List<MapRouteDto> routes;
}
