package com.redxun.knowledge.qywexin;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;

import javax.xml.rpc.ServiceException;
import java.rmi.RemoteException;

/**
 * 文件名: QYWechatUtils
 * 作者: zizg
 * 时间: 2023/6/5
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Slf4j
public class QYWechatUtils {

    private QYWechatUtils(){

    }

    public static void send(String[] userId, String text) {
        try {
            SendMessageServiceLocator wechatservices = new SendMessageServiceLocator();
            SendMessageServicePortType port = wechatservices.getSendMessageServiceHttpPort();
            AccessSend send = port.sendTextMessage(userId, text);
            log.info("推送微信返回值：code：{}  message：{}",send.getErrcode(),send.getErrmsg());
        } catch (Exception e){
            log.error("企业微信发送失败");
        }

    }
}
